Subject: Re: [bug#40114] [PATCH] services: Add fontconfig-file-system-service.

From: Efraim Flashner <[email-masked]>
Date: Sun, 22 Mar 2020 09:09:29 +0200

On Sat, Mar 21, 2020 at 10:53:50PM +0100, Ludovic Courtès wrote:
> Hello!
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > * gnu/services/desktop.scm (%fontconfig-file-system,
> > fontconfig-file-system-service): New variables.
> > (%desktop-services): Add fontconfig-file-system-service.
> 
> [...]
> 
> > +(define %fontconfig-file-system
> > +  (file-system
> > +    (device "none")
> > +    (mount-point "/var/cache/fontconfig")
> > +    (type "tmpfs")
> > +    (flags '(read-only))
> > +    (check? #f)))
> > +
> > +;; The global fontconfig directory is unused in Guix and has been
> > +;; known to cause problems so we mount it read-only.
> 
> What about something like:
> 
>   ;; The global fontconfig cache directory can sometimes contain stale
>   ;; entries, possibly referencing fonts that have been GC’d, so mount
>   ;; it read-only.
> 
> I think that’s a correct summary?  Perhaps we could link to past
> discussions if we have one.

I didn't find a canonical bug report but it was mentioned in several in
the past. I added references to two of them.

> 
> Otherwise LGTM, thank you!
> 
> Ludo’.

Thanks. Patch pushed.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted